QsciLexerPascal Class Reference

`#include <qscilexerpascal.h>`

Inherits QsciLexer.

## Public Types

enum | { Default = 0 , Identifier = 1 , Comment = 2 , CommentParenthesis = 3 , CommentLine = 4 , PreProcessor = 5 , PreProcessorParenthesis = 6 , Number = 7 , HexNumber = 8 , Keyword = 9 , SingleQuotedString = 10 , UnclosedString = 11 , Character = 12 , Operator = 13 , Asm = 14 }

## Public Slots

virtual void | setFoldComments (bool fold)
virtual void | setFoldCompact (bool fold)
virtual void | setFoldPreprocessor (bool fold)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)

## Public Member Functions

| QsciLexerPascal (QObject *parent=0)
virtual | ~QsciLexerPascal ()
const char * | language () const
const char * | lexer () const
QStringList | autoCompletionWordSeparators () const
const char * | blockEnd (int *style=0) const
const char * | blockStart (int *style=0) const
const char * | blockStartKeyword (int *style=0) const
int | braceStyle () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
bool | foldComments () const
bool | foldCompact () const
bool | foldPreprocessor () const
void | setSmartHighlighting (bool enabled)
bool | smartHighlighting () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
int | autoIndentStyle ()
virtual int | blockLookback () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions

bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members

Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerPascal class encapsulates the Scintilla Pascal lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the C++ lexer.

Enumerator
Default | The default.
Identifier | An identifier.
Comment | A '{ ... }' style comment.
CommentParenthesis | A '(* ... *)' style comment.
CommentLine | A comment line.
PreProcessor | A '{$ ... }' style pre-processor block.
PreProcessorParenthesis | A '(*$ ... *)' style pre-processor block.
Number | A number.
HexNumber | A hexadecimal number.
Keyword | A keyword.
SingleQuotedString | A single-quoted string.
UnclosedString | The end of a line where a string is not closed.
Character | A character.
Operator | An operator.
Asm | Inline Asm.

## Constructor & Destructor Documentation

## QsciLexerPascal()

QsciLexerPascal::QsciLexerPascal | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerPascal with parent parent. parent is typically the QsciScintilla instance.

Referenced by writeProperties().

## Member Function Documentation

## language()

const char * QsciLexerPascal::language | ( |  | ) | const

virtual

Returns the name of the language.

Implements QsciLexer.

## lexer()

const char * QsciLexerPascal::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## autoCompletionWordSeparators()

QStringList QsciLexerPascal::autoCompletionWordSeparators | ( |  | ) | const

virtual

Returns the list of character sequences that can separate auto-completion words. The first in the list is assumed to be the sequence used to separate words in the lexer's API files.

Reimplemented from QsciLexer.

## blockEnd()

const char * QsciLexerPascal::blockEnd | ( | int * | style = 0 | ) | const

virtual

Returns a space separated list of words or characters in a particular style that define the end of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## blockStart()

const char * QsciLexerPascal::blockStart | ( | int * | style = 0 | ) | const

virtual

Returns a space separated list of words or characters in a particular style that define the start of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## blockStartKeyword()

const char * QsciLexerPascal::blockStartKeyword | ( | int * | style = 0 | ) | const

virtual

Returns a space separated list of keywords in a particular style that define the start of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## braceStyle()

int QsciLexerPascal::braceStyle | ( |  | ) | const

virtual

Returns the style used for braces for brace matching.

Reimplemented from QsciLexer.

## defaultColor()

QColor QsciLexerPascal::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## defaultEolFill()

bool QsciLexerPascal::defaultEolFill | ( | int | style | ) | const

virtual

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

## defaultFont()

QFont QsciLexerPascal::defaultFont | ( | int | style | ) | const

virtual

Returns the font for style number style.

Reimplemented from QsciLexer.

## defaultPaper()

QColor QsciLexerPascal::defaultPaper | ( | int | style | ) | const

virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## keywords()

const char * QsciLexerPascal::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## description()

QString QsciLexerPascal::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## refreshProperties()

void QsciLexerPascal::refreshProperties | ( |  | ) |

virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## foldComments()

bool QsciLexerPascal::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## foldCompact()

bool QsciLexerPascal::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## foldPreprocessor()

bool QsciLexerPascal::foldPreprocessor | ( |  | ) | const

Returns true if preprocessor blocks can be folded.

See also
  setFoldPreprocessor()

## setSmartHighlighting()

void QsciLexerPascal::setSmartHighlighting | ( | bool | enabled | ) |

If enabled is true then some keywords will only be highlighted in an appropriate context (similar to how the Delphi IDE works). The default is true.

See also
  smartHighlighting()

## smartHighlighting()

bool QsciLexerPascal::smartHighlighting | ( |  | ) | const

Returns true if some keywords will only be highlighted in an appropriate context (similar to how the Delphi IDE works).

See also
  setSmartHighlighting()

## setFoldComments

virtual void QsciLexerPascal::setFoldComments | ( | bool | fold | ) |

virtual slot

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## setFoldCompact

virtual void QsciLexerPascal::setFoldCompact | ( | bool | fold | ) |

virtual slot

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## setFoldPreprocessor

virtual void QsciLexerPascal::setFoldPreprocessor | ( | bool | fold | ) |

virtual slot

If fold is true then preprocessor blocks can be folded. The default is true.

See also
  foldPreprocessor()

## readProperties()

bool QsciLexerPascal::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix )

protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also
  writeProperties()

Reimplemented from QsciLexer.

## writeProperties()

bool QsciLexerPascal::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix ) const

protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also
  readProperties()

Reimplemented from QsciLexer.

References QsciLexerPascal().